package com.rjconsultores.ventaboletos.web.utilerias;

import java.util.List;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.zkoss.zkplus.databind.BindingListModel;
import org.zkoss.zkplus.databind.BindingListModelList;
import org.zkoss.zkplus.spring.SpringUtil;
import org.zkoss.zul.Combobox;

import com.rjconsultores.ventaboletos.entidad.Moneda;
import com.rjconsultores.ventaboletos.service.MonedaService;

public class MyComboboxMoeda extends Combobox {

	private static final long serialVersionUID = 1L;
	
	private static Logger log = LogManager.getLogger(MyComboboxMoeda.class);	
	private MonedaService moedaService;
	private List<Moneda> lsMoeda;
	private Moneda monedaDefault;

	public MyComboboxMoeda() {
		super();

		moedaService = (MonedaService) SpringUtil.getBean("monedaService");
		lsMoeda = getListMoneda();

		this.setAutodrop(false);
		this.setAutocomplete(false);
		BindingListModel listModelMoeda = new BindingListModelList(lsMoeda, true);
        MyComboboxMoeda.this.setModel(listModelMoeda);		
		
		if(monedaDefault == null) {
			monedaDefault = moedaService.obtenerID(1);
			if(monedaDefault != null) {
				this.setValue(monedaDefault.getDescmoneda());
			}
		}
	}
	
	public List<Moneda> getListMoneda() {
		return moedaService.obtenerTodosSortedByID();
	}

}
